安装

系统要求

  • 支持 URL 重写的 Web 服务器
  • PHP 5.5.0 或者更新版本

如何安装 Slim

我们推荐你使用 Composer 。这个依赖管理器来安装 Slim 框架。在你的项目根目录中,运行以下 bash 命令,将最新的稳定版安装到项目的 vendor/ 目录中。

composer require slim/slim "^3.0"

然后,在 PHP 脚本中载入 Composer 的自动加载器,然后就可以开始使用 Slim 了。

<?php
require 'vendor/autoload.php';

如何安装 Composer

没有 Composer ?很容易安装的。由于GFW的原因,所以建议使用国内镜像来下载安装。

通过 Composer 镜像安装 composer

首先,务必确保已经正确安装了 PHP。

局部安装

局部安装是将 composer 安装到当前目录下面(比如安装到项目根目录下),然后就可以通过 php composer.phar 来使用 composer 了。

Mac 或 Linux 系统:打开命令行窗口并执行如下命令:

curl -sS http://install.phpcomposer.com/installer | php

Windows 系统(Mac 或 Linux 系统也可以使用):请执行如下命令:

php -r "readfile('http://install.phpcomposer.com/installer');" | php
powered by Gitbook 该教程制作时间: 2016-05-03 16:18:53